/*
** Module   : LegacyMethod.java
** Abstract : Annptation used to declare legacy Progress method.
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- ---------------------------------Description----------------------------------
** 001 EVL 20130910 Created initial version.
*/

package com.goldencode.p2j.util;

import java.lang.annotation.*;

/**
 * Annotation definition to mark methods as the replacements for Progress 4GL methods. This
 * annotation stores the legacy method name.
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface LegacyMethod
{
   /** The name of the legacy method marked with this annotation. */
   String name();
}

